package com.huashe.park.common.consts.enums;

/**
 * The enum Cons unit type. //类型:0:目录;1:电子围栏;2:设计文件;
 */
public enum ConsUnitType {

    /**
     * Directory cons unit type.
     */
    DIRECTORY("0", "目录"),
    /**
     * Electronic fence cons unit type.
     */
    ELECTRONIC_FENCE("1", "电子围栏"),
    /**
     * Design file cons unit type.
     */
    DESIGN_FILE("2", "设计文件");

    private final String code;

    private final String info;

    ConsUnitType(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     */
    public String getInfo() {
        return info;
    }
}
